# $Revision: 1.22 $, $Date: 2004/10/18 07:18:21 $
Summary:	Direct Connect Hub
Summary(pl):	Serwer Direct Connect
Name:		dchub
Version:	0.5.2
Release:	5
License:	GPL
Group:		Applications/Communications
Source0:	http://ac2i.homelinux.com/dctc/%{name}-%{version}.tar.gz
# Source0-md5:	673a43cde95bce2c2acba2cfab83d527
Patch0:		%{name}-configdir.patch
Patch1:		%{name}-init.patch
Patch2:		%{name}-crcdir.patch
Patch3:		%{name}-pic.patch
URL:		http://ac2i.homelinux.com/dctc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libgcrypt-devel >= 1.1.12
BuildRequires:	libxml2-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	pkgconfig
Requires:	perl-Locale-gettext
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dchub is a hub of direct connect file sharing network.

%description -l pl
dchub jest hubem sieci direct connect sucej do wymiany plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}/{%{_sysconfdir}/{%{name},rc.d/init.d},/var/lib/%{name}}
install dchub.init $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install plugin/AUTOSTART $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/AUTOSTART

# delete unnecesary files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/Makefile
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.c
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.h
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/scripts/po

%post
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add dchub
fi
if [ -f /var/lock/subsys/dchub ]; then
	/etc/rc.d/init.d/dchub restart >&2
else
	echo "Run /etc/rc.d/init.d/dchub start to start dchub daemon"
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del dchub
	if [ -f /var/lock/subsys/dchub ]; then
		/etc/rc.d/init.d/dchub stop >&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc Documentation/{Global,commands,configuration_file,ext_prog,hub_cluster.postv0.4.0,plugin,protocol_extension,scripts,user_file}
%lang(de) %doc Documentation/*.de
%lang(fr) %doc Documentation/*.fr
%lang(nl) %doc Documentation/*.nl
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/tools
%attr(755,root,root) %{_libdir}/%{name}/tools/*
%dir %{_libdir}/%{name}/extprog
%config(noreplace) %verify(not md5 size mtime) %{_libdir}/%{name}/extprog/AUTOSTART
%attr(755,root,root) %{_libdir}/%{name}/extprog/[CDPdm]*
%dir %{_libdir}/%{name}/plugins
%config(noreplace) %verify(not md5 size mtime) %{_libdir}/%{name}/plugins/AUTOSTART
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%dir %{_libdir}/%{name}/scripts
%attr(755,root,root) %{_libdir}/%{name}/scripts/*.pl
%config(noreplace) %verify(not md5 size mtime) %{_libdir}/%{name}/scripts/dchub_scripts.conf
%dir %{_libdir}/%{name}/scripts/i18n
%lang(de) %{_libdir}/%{name}/scripts/i18n/de
%lang(fr) %{_libdir}/%{name}/scripts/i18n/fr
%lang(hu) %{_libdir}/%{name}/scripts/i18n/hu
%lang(sv) %{_libdir}/%{name}/scripts/i18n/sv
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir /var/lib/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dchub.spec,v $
Revision 1.22  2004/10/18 07:18:21  jajcus
- Release: 5 (rebuild with fix for bug #952)

Revision 1.21  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.20  2004/06/07 09:33:32  jm
- added R: perl-Locale-gettext - fix sent by Andrzej Szombierski

Revision 1.19  2004/04/18 22:46:42  ankry
- formatting

Revision 1.18  2004/04/18 22:31:35  andree
- fixed: URL,post,preun
- rel. 4

Revision 1.17  2004/02/23 21:51:00  averne
- rel3 for rebuild with new libcrypt

Revision 1.16  2003/12/18 21:29:07  qboosh
- more deps: libgcrypt-devel, libxml2-devel, perl-devel

Revision 1.15  2003/12/18 21:23:50  qboosh
- added pic patch (fixes build on alpha); release 2

Revision 1.14  2003/12/13 18:15:02  andree
- change crcdir to /var/lib/dchub

Revision 1.13  2003/12/13 14:29:58  andree
- added patch2 -> change dchub.crc directory
- fixes in %files, added dir

Revision 1.12  2003/12/13 01:48:09  andree
- missing dir

Revision 1.11  2003/12/13 01:30:34  andree
- change description
- BR: autoconf, automake; configure2_13 -> configure
- added dchub.init; added config folder
- added patch0 -> change config files dst
- added patch1 -> adapterized dchub.init to pld
- remove unnecessary files; fix attributes
- added post, preun (restart, stop)
- updated to 0.5.2

Revision 1.10  2003/10/07 22:20:53  djrzulf
- updated to 0.5.0,

Revision 1.9  2003/08/11 10:04:47  qboosh
- glib2 is used by default, use lang()

Revision 1.8  2003/08/11 09:44:00  djrzulf
- added missed BR

Revision 1.7  2003/08/08 21:50:52  djrzulf
- md5,

Revision 1.6  2003/08/08 21:42:44  djrzulf
- updated to 0.4.5

Revision 1.5  2003/07/23 10:59:27  misi3k
- updated to 0.4.4

Revision 1.4  2003/06/22 14:44:03  misi3k
- updated to 0.4.0

Revision 1.3  2003/05/28 12:58:49  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/09/30 20:20:18  tjbynum
- new in PLD, STBR request.
